•     Please make sure you check the Support FAQ and relevant Guides before you create a new thread in this section!

Launcher No Updated Launcher For Linux/Mac?

Posts
1
Reaction score
1
Hi guys! I have a mac and I am really struggling with downloading this mod. I am trying to download MB2 by following the instructions in [Guide] Mac Installation. But when I launch the launcher it tells that there is a new version (3.0.2) and that I need to download the updated version. When I went to the downloads page on the main page and downloaded the launcher again and repeated the process, it gives the same error. Please help me... Thank you!
 

Spaghetti

cable monster
R2D2
Movie Battles II Team Retired
Posts
963
Reaction score
927
I'm not 100% sure (only @Defiant would know), but I think the only supported launcher version these days is the Windows based one. That might still work with Mono, but I haven't tested it. If it doesn't then you will need to install, update, and launch manually.

If the launcher is not supposed to work elsewhere then the download page needs to be updated accordingly.
 

Defiant

Project Leader
Movie Battles II Team
Code Leader
Posts
664
Reaction score
792
There is an updated build for Mono. I probably just forgot to put it on the download page.
 
Posts
1
Reaction score
1
Just in case somebody hits this topic while trying to run MBII on Linux - I'll save you some time, the launcher is indeed broken (every time I run it, it says update 3.0.4 is available). Just manually install the mod and run ./openjk.i386 +set fs_game "MBII"

Old openjk builds were throwing segmentation fault for me, so you might need to make your own openjk 32bit build as nicely described on their wiki here: JACoders/OpenJK
 

Spaghetti

cable monster
R2D2
Movie Battles II Team Retired
Posts
963
Reaction score
927
Since this still hasn't been addressed I'm just going to remove the mono version download links to avoid wasting anyone else's time. Can put 'em back if it's ever updated again.
 
Top